opensaml::ArtifactException Class Reference

Exceptions related to artifact parsing. More...

`#include <saml/binding/SAMLArtifact.h>`

Inheritance diagram for opensaml::ArtifactException:
[legend]
Collaboration diagram for opensaml::ArtifactException:
[legend]

## Public Member Functions

| ArtifactException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor.
| ArtifactException (const char *msg, const xmltooling::namedparams &p)
| Constructor.
| ArtifactException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor.
| ArtifactException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor.
virtual const char * | getClassName () const
void | raise () const

## Detailed Description

Exceptions related to artifact parsing.

The documentation for this class was generated from the following file:

- saml/binding/SAMLArtifact.h